org.apache.sysds.runtime.io

## Class FileFormatPropertiesMM

- java.lang.Object
- - org.apache.sysds.runtime.io.FileFormatProperties
  - - org.apache.sysds.runtime.io.FileFormatPropertiesMM

- All Implemented Interfaces:
    Serializable

      public class FileFormatPropertiesMM
      extends FileFormatProperties
      implements Serializable

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `FileFormatPropertiesMM.MMField`
    `static class` | `FileFormatPropertiesMM.MMFormat`
    `static class` | `FileFormatPropertiesMM.MMSymmetry`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FileFormatPropertiesMM()`
    `FileFormatPropertiesMM(FileFormatPropertiesMM.MMFormat fmt, FileFormatPropertiesMM.MMField field, FileFormatPropertiesMM.MMSymmetry symmetry)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `FileFormatPropertiesMM.MMField` | `getField()`
    `FileFormatPropertiesMM.MMFormat` | `getFormat()`
    `FileFormatPropertiesMM.MMSymmetry` | `getSymmetry()`
    `boolean` | `isIntField()`
    `boolean` | `isPatternField()`
    `boolean` | `isSymmetric()`
    `static FileFormatPropertiesMM` | `parse(String header)`

    - ### Methods inherited from class org.apache.sysds.runtime.io.FileFormatProperties

      `getDescription, setDescription`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FileFormatPropertiesMM

          public FileFormatPropertiesMM()

    - #### FileFormatPropertiesMM

          public FileFormatPropertiesMM(FileFormatPropertiesMM.MMFormat fmt,
                                        FileFormatPropertiesMM.MMField field,
                                        FileFormatPropertiesMM.MMSymmetry symmetry)

  - ### Method Detail

    - #### getFormat

          public FileFormatPropertiesMM.MMFormat getFormat()

    - #### getField

          public FileFormatPropertiesMM.MMField getField()

    - #### getSymmetry

          public FileFormatPropertiesMM.MMSymmetry getSymmetry()

    - #### isIntField

          public boolean isIntField()

    - #### isPatternField

          public boolean isPatternField()

    - #### isSymmetric

          public boolean isSymmetric()

    - #### parse

          public static FileFormatPropertiesMM parse(String header)

Copyright © 2020 The Apache Software Foundation. All rights reserved.